html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Noto Sans TC', 'Helvetica', sans-serif;
    scroll-behavior: smooth;
    background: linear-gradient(125deg, 
    rgb(0, 0, 0),rgb(68, 68, 68),rgb(0, 0, 0));  
    color: var(--clr-txt);
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}


  
  .scroll-text-wrapper {
    height: 200vh; /* 給足夠的高度讓滾動觸發 */
    position: relative;
  }

  .scroll-text {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 1.5rem;
    text-align: center;
    z-index: 10;
    transition: opacity 0.4s ease;
    color: rgb(255, 255, 255);
    opacity: 1;
    letter-spacing: .5em;
    font-weight: 300;
}


  .close-btn {
    position: fixed;
    bottom: 5%;
    left: 10%;
    font-size: 1rem;
    font-weight: lighter;
    color: rgb(207, 207, 207);
    letter-spacing: 0.2rem;
    border: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2222!important;
    background-color: transparent !important; 
  }

 